| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ContentFilterProperty Class Reference

Information about the content filter being applied by a reader. More...

`#include <ContentFilterProperty.hpp>`

## Classes

struct | AllocationConfiguration
| Allocation configuration for a ContentFilterProperty. More...

## Public Member Functions

| ContentFilterProperty (const AllocationConfiguration &config)
| Construct a ContentFilterProperty.

## Public Attributes

fastcdr::string_255 | content_filtered_topic_name
| Name of the content filtered topic on which the reader was created.
fastcdr::string_255 | related_topic_name
| Name of the related topic being filtered.
fastcdr::string_255 | filter_class_name
| Class name of the filter being used.
std::string | filter_expression
| Filter expression indicating which content the reader wants to receive.
fastdds::ResourceLimitedVector< fastcdr::string_255, std::true_type > | expression_parameters
| List of values for the parameters present on the filter expression.

## Detailed Description

Information about the content filter being applied by a reader.

## Constructor & Destructor Documentation

## ◆ ContentFilterProperty()

ContentFilterProperty | ( | const AllocationConfiguration & | config | ) |

inline explicit

Construct a ContentFilterProperty.

Parameters

  config | Allocation configuration for the new object.

## Member Data Documentation

## ◆ content_filtered_topic_name

fastcdr::string_255 content_filtered_topic_name

Name of the content filtered topic on which the reader was created.

## ◆ expression_parameters

fastdds::ResourceLimitedVector<fastcdr::string_255, std::true_type> expression_parameters

List of values for the parameters present on the filter expression.

## ◆ filter_class_name

fastcdr::string_255 filter_class_name

Class name of the filter being used.

May be empty to indicate the ContentFilterProperty is not present.

## ◆ filter_expression

std::string filter_expression

Filter expression indicating which content the reader wants to receive.

May be empty to indicate the ContentFilterProperty is not present.

## ◆ related_topic_name

fastcdr::string_255 related_topic_name

Name of the related topic being filtered.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/builtin/data/ContentFilterProperty.hpp